Subject: Re: Job | Customer Support Exective
From: Shahid Raja <[email-masked]>
To: [email-masked]
Date: Thu, 12 Nov 2020 16:12:48 +0530

Not able to view Details? Learn More

Job Title
Job | Customer Support Exective

118 Applicants

View All

Shahid Raja
I am SME at EXL service but i do every task which comes under MIS Executive. I prepare daily report, Weekly and monthly whatever requirement comes. I am monitoring a team in which 28 associates are working. I manage daily emails reply (clients requirement), some special assignment which is related to the status of accounts, Preparing report on the basis of final status of accounts, Getting work done by team with 97% accuracy and productivity. I maintain attendance report with productivity by individual performances and also maintaining the dashboard on daily basis which is prepared by me for tracking the individual performance. I assign work to the team member on daily basis and get work done on time, resolve raised query by associates, Clear associates doubts etc. We work in Claims (Insurance) at EXL which is based claiming process and we reach out to customer who is reliable person (Claimer) and we request all required document for Payment processing.

Shortlist

Reject

Current Designation MIS Analyst
Current Company EXL Services.com ( I ) Pvt. Ltd.
Notice Period 1 Months
Previous Designation Not Mentioned
Previous Company Not Mentioned

Contact Details
Mobile:

Exp
3 Yrs

CTC

Location

Not Able to View Details? Learn More
Preferred Location: Delhi, Delhi / NCR, Noida
Education
B.Com
Deen Dayal Upadhyay Gorakhpur University (DDUGU)
Key Skills
Advanced Excel, VBA, MS Office Powerpoint, Excel Powerpoint, WFM, SQL Server, MS Access

Shortlist

Reject

You can call us at 1800 102 5558 and mail us at  [email-masked]

Report a problem